summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2012-10-04 23:01:22 +0200
committerUlrich Müller <ulm@gentoo.org>2012-10-04 23:01:22 +0200
commit09acec41ca0178fb2b80f4efe008d79e6f3557c3 (patch)
treeb9ca3b435b2017527ec0633986e07bfed0707e34 /app-editors/emacs-xwidget
parentSync from Portage tree. (diff)
downloademacs-09acec41ca0178fb2b80f4efe008d79e6f3557c3.tar.gz
emacs-09acec41ca0178fb2b80f4efe008d79e6f3557c3.tar.bz2
emacs-09acec41ca0178fb2b80f4efe008d79e6f3557c3.zip
Update from emacs-vcs ebuild.
(Portage version: 2.1.11.24/git/Linux x86_64, signed Manifest commit with key 7DC6EA25)
Diffstat (limited to 'app-editors/emacs-xwidget')
-rw-r--r--app-editors/emacs-xwidget/ChangeLog8
-rw-r--r--app-editors/emacs-xwidget/Manifest26
-rw-r--r--app-editors/emacs-xwidget/emacs-xwidget-24.2.9999.ebuild (renamed from app-editors/emacs-xwidget/emacs-xwidget-24.0.9999.ebuild)130
-rw-r--r--app-editors/emacs-xwidget/metadata.xml16
4 files changed, 91 insertions, 89 deletions
diff --git a/app-editors/emacs-xwidget/ChangeLog b/app-editors/emacs-xwidget/ChangeLog
index c1818b8..c1a03d2 100644
--- a/app-editors/emacs-xwidget/ChangeLog
+++ b/app-editors/emacs-xwidget/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for app-editors/emacs-xwidget
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*emacs-xwidget-24.2.9999 (04 Oct 2012)
+
+ 04 Oct 2012; Ulrich Müller <ulm@gentoo.org> -emacs-xwidget-24.0.9999.ebuild,
+ +emacs-xwidget-24.2.9999.ebuild, metadata.xml:
+ Update from emacs-vcs ebuild.
+
*emacs-xwidget-24.0.9999 (30 Sep 2011)
30 Sep 2011; Ulrich Mueller <ulm@gentoo.org> +emacs-xwidget-24.0.9999.ebuild,
diff --git a/app-editors/emacs-xwidget/Manifest b/app-editors/emacs-xwidget/Manifest
index 5540f4a..3cb6b32 100644
--- a/app-editors/emacs-xwidget/Manifest
+++ b/app-editors/emacs-xwidget/Manifest
@@ -1,13 +1,23 @@
-----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
+Hash: SHA256
-EBUILD emacs-xwidget-24.0.9999.ebuild 11033 RMD160 ed289811729a5902ad38f1073159a5573549f252 SHA1 23f8a2b64b6f66835a524d0decd075072a537b3f SHA256 8f948309bb21990f1933db9d30f92e96a4241997eeb9c9081a454878708eeedb
-MISC ChangeLog 288 RMD160 e2a99cb661b41989aa69ad0ec254bbe2a302d8c7 SHA1 ac4bb61e5c5caaa1a4da42acd00b8e42ca6acf6a SHA256 90abb0e17a828017591f87e45d8a3063a5ac7067c9260791672037fea1fcbb3c
-MISC metadata.xml 2393 RMD160 6b38fb2e298c6101086555190a0b733e2f69fc43 SHA1 cf653f95b3bb61fcf7abc0604be83c7328c71818 SHA256 3d5cb7c7038198cd4e8aa211e34fcf13ddc0a12fa0cd731f1c5f8ee40144ccac
+EBUILD emacs-xwidget-24.2.9999.ebuild 10786 SHA256 d123dcf70d3c27ed63f8e76fd581d655213e253d7e16fe859a8e578784eda362 SHA512 2b9ecaa8414c3d68acc1e3804c515d946da7ec11e378162fe5e40940dc3706ba7b50f27a11bf99c376a9a3146d7c1d4138363d0b1b74accc7544e6ce6880478a WHIRLPOOL 15b2f27cca593f6fda2a7686abad3498922602b9f6f05123c170c134095f6ad6108fcda405a2829a69196fd668796d7de3c891a33d9ea9638054985418c99b45
+MISC ChangeLog 490 SHA256 85e816eb7e006097df111aa7a8dffd2755efbbc3fd995bb1886fc1f0e10afb15 SHA512 07da3334944da0dd0ad1a047cd7923b30ede97d4d0e2da281ac51153599182849de8d042a5d57212e157a28ea332efa678fa53402fbbfb79c4915ed7f4444eb6 WHIRLPOOL 0fdcca99ddd3196f8627a18d001e51d4944b374c0dc54638ac78c1237e7945198a168671994780fb70cdafc43717e5ffa5aa50d43027a5fc4ced075ac556c5c4
+MISC metadata.xml 2510 SHA256 d8bd6bc0fc3e060d81b24d6ba1502e2774f75e65a255cdf53a78ad1d39876836 SHA512 daf94df4e6dec88573d3057c9488a267eb7bcad7bcc17c37aaf8677719dfe374b4ea1c29aff539d92da942a0b0ae91dcdb3db5d8745090bad2e8bc2e522c0b39 WHIRLPOOL 49aa7387d3c848240cd4797b5957396990c9c865ae3614fe96d18ecf818902c2cb6fcfbe7a77d1d96a84fdc9afe01bdbf068b26fc78037a9b3e03f5a6b34400f
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.18 (GNU/Linux)
+Version: GnuPG v2.0.19 (GNU/Linux)
-iEYEARECAAYFAk6GBsYACgkQOeoy/oIi7uw0hwCfQ0VN2d9/OaQNjhZSBfADmVAL
-Y0YAnA+1Swq9wSRNCfOO7n3RzF7ho0XD
-=hTgg
+iQIcBAEBCAAGBQJQbfkiAAoJEDxpGckxwJCBDqkP/3c3pyqysZv9irsxKOdgc3of
+6FkcMD+F4NqkDcdzHXtk8S9AST4u0rBGtVD4WqYLHWe1duciuEdbaAvklxrBHLQt
+uBw80ahH50lxX/3pwKp6XuchGZDhlLHDHzjWgIdw5hSQC+8SpB6jGNvtC7ecs9rv
+lDiXiFC10+kKRnPASeQnzdwGkDv6Ydu9JHfI+wojo1ttJVCAKkNRdSwhoi3XULAR
+4NAbDamVwqon8UNSxxU0kYGTm5S1edK5SrXM0O5ZCHxOOuFlsm/Gzm1iqKzgbROS
+pKGv2MWbStVO9a13epPYtLmo0LJI+tp02C7zEyVP1Sq241xq8PGqjPL4eorDIh/e
+nXnRVkxgtxDF4wpoxZyrMdfsaKYhnlF56Pk8glDRtyjwmnR+0Ewez6B3mIblmWVy
+eIxgYq0vQKMvzROiNbZfKCJH7x34EWhdYd3vtckdgd6F8m9/QNQ/2DKZ5BE/g5v3
+sXxlUonTQv61H3eFJZtezEeN3RMiaMWZ/BbbLGn7bRSYVbGh0F5HNhLaCpKyq4sB
+uS0o8Bp/nqzlnWJj2GNCAUMjSkyJJ9c1JX/npySDF1iTdTdZ/+Wem9Gt2xDM9vOv
+nXSWlQWBJstr52UT/3fAgy7PaE5KjEZszv/5zLhwmRVBFWbniOOolH+nydk9FA6H
+qk60iU41iTwfdMA210EZ
+=FsU+
-----END PGP SIGNATURE-----
diff --git a/app-editors/emacs-xwidget/emacs-xwidget-24.0.9999.ebuild b/app-editors/emacs-xwidget/emacs-xwidget-24.2.9999.ebuild
index 6bdeca8..72f9660 100644
--- a/app-editors/emacs-xwidget/emacs-xwidget-24.0.9999.ebuild
+++ b/app-editors/emacs-xwidget/emacs-xwidget-24.2.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -12,11 +12,12 @@ if [[ ${PV##*.} = 9999 ]]; then
EBZR_REPO_URI="bzr://bzr.savannah.gnu.org/emacs/${EBZR_BRANCH}/"
# "Nosmart" is much faster for initial branching.
EBZR_INITIAL_URI="nosmart+${EBZR_REPO_URI}"
+ EBZR_WORKDIR_CHECKOUT="t" #434746
inherit bzr
SRC_URI=""
else
SRC_URI="mirror://gentoo/emacs-${PV}.tar.gz
- ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-${PV}.tar.gz"
+ mirror://gnu-alpha/emacs/pretest/emacs-${PV}.tar.gz"
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
# operations later on
@@ -28,13 +29,14 @@ DESCRIPTION="The extensible, customizable, self-documenting real-time display ed
HOMEPAGE="http://www.gnu.org/software/emacs/
http://www.emacswiki.org/emacs/EmacsXembed"
-LICENSE="GPL-3 FDL-1.3 BSD as-is MIT W3C unicode PSF-2"
+LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="24"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
-IUSE="alsa athena dbus gconf gif gnutls gpm gsettings gtk gtk3 gzip-el hesiod imagemagick jpeg kerberos libxml2 m17n-lib motif png selinux sound source svg tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="alsa athena dbus games gconf gif gnutls gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick jpeg kerberos libxml2 m17n-lib motif pax_kernel png selinux sound source svg tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets"
RDEPEND="sys-libs/ncurses
>=app-admin/eselect-emacs-1.2
+ >=app-emacs/emacs-common-gentoo-1.3[games?,X?]
net-libs/liblockfile
hesiod? ( net-dns/hesiod )
kerberos? ( virtual/krb5 )
@@ -42,6 +44,7 @@ RDEPEND="sys-libs/ncurses
gpm? ( sys-libs/gpm )
dbus? ( sys-apps/dbus )
gnutls? ( net-libs/gnutls )
+ libxml2? ( >=dev-libs/libxml2-2.2.0 )
selinux? ( sys-libs/libselinux )
X? (
x11-libs/libXmu
@@ -49,7 +52,6 @@ RDEPEND="sys-libs/ncurses
x11-misc/xbitmaps
gconf? ( >=gnome-base/gconf-2.26.2 )
gsettings? ( >=dev-libs/glib-2.28.6 )
- libxml2? ( >=dev-libs/libxml2-2.2.0 )
gif? ( media-libs/giflib )
jpeg? ( virtual/jpeg )
png? ( >=media-libs/libpng-1.4:0 )
@@ -80,80 +82,77 @@ RDEPEND="sys-libs/ncurses
)"
DEPEND="${RDEPEND}
- dev-util/pkgconfig
- gzip-el? ( app-arch/gzip )"
-
-RDEPEND="${RDEPEND}
- >=app-emacs/emacs-common-gentoo-1[X?]"
-
-EMACS_SUFFIX="emacs-${SLOT}-${EBZR_BRANCH#emacs-}"
+ alsa? ( virtual/pkgconfig )
+ dbus? ( virtual/pkgconfig )
+ gnutls? ( virtual/pkgconfig )
+ libxml2? ( virtual/pkgconfig )
+ X? ( virtual/pkgconfig )
+ gzip-el? ( app-arch/gzip )
+ pax_kernel? ( sys-apps/paxctl )"
+
+EMACS_SUFFIX="${PN/emacs/emacs-${SLOT}}"
SITEFILE="20${PN}-${SLOT}-gentoo.el"
src_prepare() {
# set a fake version number to avoid collisions between SLOTs
- sed -i -e "/AC_INIT/s/\(24\.0\)\.[0-9]*/\1.60/" configure.in
+ sed -i -e "/AC_INIT/s/\(24\.[0-9]*\)\.[0-9]*/\1.60/" configure.ac
if [[ ${PV##*.} = 9999 ]]; then
FULL_VERSION=$(sed -n 's/^AC_INIT(emacs,[ \t]*\([^ \t,)]*\).*/\1/p' \
- configure.in)
+ configure.ac)
[[ ${FULL_VERSION} ]] || die "Cannot determine current Emacs version"
- echo
einfo "Emacs branch: ${EBZR_BRANCH}"
einfo "Revision: ${EBZR_REVISION:-${EBZR_REVNO}}"
einfo "Emacs version number: ${FULL_VERSION}"
[[ ${FULL_VERSION} =~ ^${PV%.*}(\..*)?$ ]] \
|| die "Upstream version number changed to ${FULL_VERSION}"
- echo
fi
+ epatch_user
+
if ! use alsa; then
# ALSA is detected even if not requested by its USE flag.
# Suppress it by supplying pkg-config with a wrong library name.
- sed -i -e "/ALSA_MODULES=/s/alsa/DiSaBlEaLsA/" configure.in \
- || die "unable to sed configure.in"
+ sed -i -e "/ALSA_MODULES=/s/alsa/DiSaBlEaLsA/" configure.ac \
+ || die "unable to sed configure.ac"
fi
if ! use gzip-el; then
# Emacs' build system automatically detects the gzip binary and
# compresses el files. We don't want that so confuse it with a
# wrong binary name
- sed -i -e "s/ gzip/ PrEvEnTcOmPrEsSiOn/" configure.in \
- || die "unable to sed configure.in"
+ sed -i -e "/AC_PATH_PROG/s/gzip/PrEvEnTcOmPrEsSiOn/" configure.ac \
+ || die "unable to sed configure.ac"
fi
AT_M4DIR=m4 eautoreconf
}
src_configure() {
- ALLOWED_FLAGS=""
strip-flags
if use sh; then
- replace-flags -O[1-9] -O0 #262359
+ replace-flags "-O[1-9]" -O0 #262359
elif use ia64; then
- replace-flags -O[2-9] -O1 #325373
+ replace-flags "-O[2-9]" -O1 #325373
else
- replace-flags -O[3-9] -O2
+ replace-flags "-O[3-9]" -O2
fi
local myconf
if use alsa && ! use sound; then
- echo
einfo "Although sound USE flag is disabled you chose to have alsa,"
einfo "so sound is switched on anyway."
- echo
myconf="${myconf} --with-sound"
else
myconf="${myconf} $(use_with sound)"
fi
if use X; then
- myconf="${myconf} --with-x"
+ myconf="${myconf} --with-x --without-ns"
myconf="${myconf} $(use_with gconf)"
myconf="${myconf} $(use_with gsettings)"
- myconf="${myconf} $(use_with libxml2 xml2)"
myconf="${myconf} $(use_with toolkit-scroll-bars)"
- myconf="${myconf} $(use_with wide-int)"
myconf="${myconf} $(use_with gif) $(use_with jpeg)"
myconf="${myconf} $(use_with png) $(use_with svg rsvg)"
myconf="${myconf} $(use_with tiff) $(use_with xpm)"
@@ -172,11 +171,18 @@ src_configure() {
if use gtk; then
einfo "Configuring to build with GIMP Toolkit (GTK+)"
- myconf="${myconf} --with-x-toolkit=$(usev gtk3 || echo gtk)"
+ myconf="${myconf} --with-x-toolkit=$(usex gtk3 gtk3 gtk2)"
myconf="${myconf} $(use_with xwidgets)"
- elif use Xaw3d || use athena; then
+ local f
+ for f in athena Xaw3d motif; do
+ use ${f} && ewarn "USE flag \"${f}\" ignored" \
+ "(superseded by \"gtk\")"
+ done
+ elif use athena || use Xaw3d; then
einfo "Configuring to build with Athena/Lucid toolkit"
myconf="${myconf} --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
+ use motif && ewarn "USE flag \"motif\" ignored" \
+ "(superseded by \"athena\" or \"Xaw3d\")"
elif use motif; then
einfo "Configuring to build with Motif toolkit"
myconf="${myconf} --with-x-toolkit=motif"
@@ -184,22 +190,14 @@ src_configure() {
einfo "Configuring to build with no toolkit"
myconf="${myconf} --with-x-toolkit=no"
fi
-
- local f tk=
- for f in gtk Xaw3d athena motif; do
- use ${f} || continue
- [[ ${tk} ]] \
- && ewarn "USE flag \"${f}\" ignored (superseded by \"${tk}\")"
- tk="${tk}${tk:+ }${f}"
- done
else
- myconf="${myconf} --without-x"
+ myconf="${myconf} --without-x --without-ns"
fi
+ # Save version information in the Emacs binary. It will be available
+ # in variable "system-configuration-options".
+ myconf="${myconf} GENTOO_PACKAGE=${CATEGORY}/${PF}"
if [[ ${PV##*.} = 9999 ]]; then
- # These variables are not needed for building. We add them to
- # configure options because they are stored in the Emacs binary
- # and available in variable "system-configuration-options".
myconf="${myconf} EBZR_BRANCH=${EBZR_BRANCH} EBZR_REVNO=${EBZR_REVNO}"
fi
@@ -212,7 +210,9 @@ src_configure() {
econf \
--program-suffix=-${EMACS_SUFFIX} \
+ --program-transform-name="s/emacs-[0-9].*/${EMACS_SUFFIX}/" \
--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
+ --enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--with-crt-dir="${crtdir}" \
--with-gameuser="${GAMES_USER_DED:-games}" \
--without-compress-info \
@@ -221,33 +221,22 @@ src_configure() {
$(use_with gpm) \
$(use_with dbus) \
$(use_with gnutls) \
+ $(use_with libxml2 xml2) \
$(use_with selinux) \
+ $(use_with wide-int) \
${myconf}
}
src_compile() {
export SANDBOX_ON=0 # for the unbelievers, see Bug #131505
- if [[ ${PV##*.} = 9999 ]]; then
- emake CC="$(tc-getCC)" bootstrap
- # cleanup, otherwise emacs will be dumped again in src_install
- (cd src; emake versionclean)
- fi
- # set last component of emacs-version to (package revision + 1)
- touch src/emacs-${FULL_VERSION}.${PR#r}
- emake CC="$(tc-getCC)"
+ emake
}
src_install () {
- local i m
-
- emake install DESTDIR="${D}"
-
- rm "${ED}"/usr/bin/emacs-${FULL_VERSION}-${EMACS_SUFFIX} \
- || die "removing duplicate emacs executable failed"
- mv "${ED}"/usr/bin/emacs-${EMACS_SUFFIX} "${ED}"/usr/bin/${EMACS_SUFFIX} \
- || die "moving Emacs executable failed"
+ emake DESTDIR="${D}" NO_BIN_LINK=t install
# move man pages to the correct place
+ local m
for m in "${ED}"/usr/share/man/man1/* ; do
mv "${m}" "${m%.1}-${EMACS_SUFFIX}.1" || die "mv man failed"
done
@@ -261,15 +250,17 @@ src_install () {
# avoid collision between slots, see bug #169033 e.g.
rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el
rm -rf "${ED}"/usr/share/{applications,icons}
- rm "${ED}"/var/lib/games/emacs/{snake,tetris}-scores
- keepdir /var/lib/games/emacs
+ rm -rf "${ED}"/var
+
+ # remove unused <version>/site-lisp dir
+ rm -rf "${ED}"/usr/share/emacs/${FULL_VERSION}/site-lisp
local c=";;"
if use source; then
insinto /usr/share/emacs/${FULL_VERSION}/src
# This is not meant to install all the source -- just the
# C source you might find via find-function
- doins src/*.[ch]
+ doins src/*.{c,h,m}
c=""
fi
@@ -301,7 +292,7 @@ pkg_preinst() {
local infodir=/usr/share/info/${EMACS_SUFFIX} f
if [[ -f ${ED}${infodir}/dir.orig ]]; then
mv "${ED}"${infodir}/dir{.orig,} || die "moving info dir failed"
- else
+ elif [[ -d "${ED}"${infodir} ]]; then
# this should not happen in EAPI 4
ewarn "Regenerating Info directory index in ${infodir} ..."
rm -f "${ED}"${infodir}/dir{,.*}
@@ -315,30 +306,23 @@ pkg_preinst() {
}
pkg_postinst() {
- local f
- for f in "${EROOT}"/var/lib/games/emacs/{snake,tetris}-scores; do
- [[ -e ${f} ]] || touch "${f}"
- done
- chown "${GAMES_USER_DED:-games}" "${EROOT}"/var/lib/games/emacs
-
elisp-site-regen
eselect emacs update ifunset
if use X; then
- echo
elog "You need to install some fonts for Emacs."
elog "Installing media-fonts/font-adobe-{75,100}dpi on the X server's"
elog "machine would satisfy basic Emacs requirements under X11."
elog "See also http://www.gentoo.org/proj/en/lisp/emacs/xft.xml"
elog "for how to enable anti-aliased fonts."
+ elog
fi
- echo
elog "You can set the version to be started by /usr/bin/emacs through"
elog "the Emacs eselect module, which also redirects man and info pages."
elog "Therefore, several Emacs versions can be installed at the same time."
elog "\"man emacs.eselect\" for details."
- echo
+ elog
elog "If you upgrade from a previous major version of Emacs, then it is"
elog "strongly recommended that you use app-admin/emacs-updater to rebuild"
elog "all byte-compiled elisp files of the installed Emacs packages."
diff --git a/app-editors/emacs-xwidget/metadata.xml b/app-editors/emacs-xwidget/metadata.xml
index 966b64a..aed3cc2 100644
--- a/app-editors/emacs-xwidget/metadata.xml
+++ b/app-editors/emacs-xwidget/metadata.xml
@@ -6,14 +6,11 @@
GNU Emacs is an extensible, customizable text editor - and more. At its core
is an interpreter for Emacs Lisp, a dialect of the Lisp programming language
with extensions to support text editing. The features of GNU Emacs include:
- * Content-sensitive editing modes, including syntax coloring, for a wide
- variety of file types including plain text, source code, and HTML.
+ * Content-sensitive editing modes, including syntax coloring, for a variety
+ of file types including plain text, source code, and HTML.
* Complete built-in documentation, including a tutorial for new users.
- * Support for many languages and their scripts, including all the European
- "Latin" scripts, Russian, Greek, Japanese, Chinese, Korean, Thai,
- Vietnamese, Lao, Ethiopian, and some Indian scripts.
- * Highly customizable, using Emacs Lisp code or a graphical customization
- interface.
+ * Full Unicode support for nearly all human languages and their scripts.
+ * Highly customizable, using Emacs Lisp code or a graphical interface.
* A large number of extensions that add other functionality, including a
project planner, mail and news reader, debugger interface, calendar, and
more. Many of these extensions are distributed with GNU Emacs; others are
@@ -22,6 +19,7 @@
<use>
<flag name='athena'>Enable the MIT Athena widget set
(<pkg>x11-libs/libXaw</pkg>)</flag>
+ <flag name='games'>Support shared score files for games</flag>
<flag name='gconf'>Use <pkg>gnome-base/gconf</pkg> to read the system
font name</flag>
<flag name='gsettings'>Use gsettings (<pkg>dev-libs/glib</pkg>) to read the
@@ -34,6 +32,10 @@
processing</flag>
<flag name='libxml2'>Use <pkg>dev-libs/libxml2</pkg> to parse XML instead
of the internal Lisp implementations</flag>
+ <flag name='pax_kernel'>Enable building under a PaX enabled kernel
+ (<pkg>sys-apps/paxctl</pkg>)</flag>
+ <flag name='source'>Install C source files and make them available for
+ find-function</flag>
<flag name='toolkit-scroll-bars'>Use the selected toolkit's scrollbars in
preference to Emacs' own scrollbars</flag>
<flag name='wide-int'>Prefer wide Emacs integers (typically 62-bit).